Package org.eclipse.jface.text.source

## Interface ILineRange

All Known Implementing Classes:
  `LineRange`, `RevisionRange`

    public interface ILineRange

Describes a range of lines.

Note that the number of lines is 1-based, e.g. `getStartLine() + getNumberOfLines()` computes the first line after the range, and a range with `getNumberOfLines() == 0` is empty.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getNumberOfLines()` Returns the number of lines of this line range or `-1`.
`int` `getStartLine()` Returns the start line of this line range or `-1`.

### Method Detail

#### getStartLine

    int getStartLine()

Returns the start line of this line range or `-1`.

Returns:
  the start line of this line range or `-1` if this line range is invalid.

#### getNumberOfLines

    int getNumberOfLines()

Returns the number of lines of this line range or `-1`.

Returns:
  the number of lines in this line range or `-1` if this line range is invalid.